> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: 3bb11cda-dfec-41ae-8b0e-2cfe79f22c14
---

# Restores a previously deleted Template

> Restore a previously deleted template.

export const ScopesList = ({scopes = [], description = "This API requires one of the following scopes:"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/templates-v2.json POST /content/api/v2/templates/{template_id}/restore-deleted
openapi: 3.0.1
info:
  title: Templates API
  description: Use the templates API to create and manage CMS templates.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Templates
paths:
  /content/api/v2/templates/{template_id}/restore-deleted:
    post:
      tags:
        - Templates
      summary: Restores a previously deleted Template
      description: Restore a previously deleted template.
      operationId: restoreDeletedTemplate
      parameters:
        - name: template_id
          in: path
          required: true
          description: Unique identifier for the template.
          schema:
            type: string
      responses:
        '200':
          description: Template restored successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  succeeded:
                    type: boolean
                  message:
                    type: string

````